Last Comment Bug 540252 - WARNING: goofy tree selection state: two ranges are adjacent!: 'endFirstRange == startRange' with test_delete_multiple_messages_with_first_selected_message_open in test-deletion-with-multiple-displays.js
: WARNING: goofy tree selection state: two ranges are adjacent!: 'endFirstRange...
Status: RESOLVED FIXED
: fixed-seamonkey2.0.4
Product: MailNews Core
Classification: Components
Component: Backend (show other bugs)
: Trunk
: All All
: -- minor (vote)
: Thunderbird 3.1b1
Assigned To: Siddharth Agarwal [:sid0] (inactive)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-17 01:22 PST by Siddharth Agarwal [:sid0] (inactive)
Modified: 2010-03-18 06:41 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
.2-fixed


Attachments
patch (1.08 KB, patch)
2010-01-17 01:22 PST, Siddharth Agarwal [:sid0] (inactive)
standard8: review+
standard8: superreview+
standard8: approval‑thunderbird3.0.2+
Details | Diff | Splinter Review

Description Siddharth Agarwal [:sid0] (inactive) 2010-01-17 01:22:48 PST
Created attachment 422065 [details] [diff] [review]
patch

This should clearly be the other way round -- we need to warn if the first end index is equal to this start index, i.e. if endFirstRange == startRange, i.e. if endFirstRange != startRange is false.

This is a fix to a debug-only assertion, so I don't think it can be tested (apart from running the above-mentioned test in debug mode).
Comment 1 Mark Banner (:standard8, limited time in Dec) 2010-02-01 03:36:49 PST
Comment on attachment 422065 [details] [diff] [review]
patch

Yep some things you just can't test (and I'd argue this isn't worth testing anyway).
Comment 2 Siddharth Agarwal [:sid0] (inactive) 2010-02-08 23:01:38 PST
http://hg.mozilla.org/comm-central/rev/388ec73d6f39

I also fixed the indentation of the line below it.
Comment 3 Siddharth Agarwal [:sid0] (inactive) 2010-02-08 23:02:17 PST
Comment on attachment 422065 [details] [diff] [review]
patch

trivial npotdb fix.
Comment 4 Siddharth Agarwal [:sid0] (inactive) 2010-02-10 23:39:16 PST
http://hg.mozilla.org/releases/comm-1.9.1/rev/0d566dffd3f6
Comment 5 Mark Banner (:standard8, limited time in Dec) 2010-02-16 12:59:28 PST
Verified fixed for 1.9.1 by code inspection (and doesn't affect release builds).

Note You need to log in before you can comment on or make changes to this bug.